TestReport (Gradle API 4.9)
Date: 2018-07-16

org.gradle.api.tasks.testing

## Class TestReport

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.api.tasks.testing.TestReport

- All Implemented Interfaces:
    Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.TaskInternal, ExtensionAware, Task, org.gradle.util.Configurable<Task>

      @Incubating
      public class TestReport
      extends DefaultTask

  Generates an HTML test report from the results of one or more `Test` tasks.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TestReport()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.gradle.internal.operations.BuildOperationExecutor` | `getBuildOperationExecutor()`
    `File` | `getDestinationDir()` Returns the directory to write the HTML report to.
    `FileCollection` | `getTestResultDirs()` Returns the set of binary test results to include in the report.
    `void` | `reportOn(Object... results)` Adds some results to include in the report.
    `void` | `setDestinationDir(File destinationDir)` Sets the directory to write the HTML report to.
    `void` | `setTestResultDirs(Iterable<File> testResultDirs)` Sets the binary test results to use to include in the report.

    - ### Methods inherited from class org.gradle.api.DefaultTask

      `newInputDirectory, newInputFile, newOutputDirectory, newOutputFile`

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `addValidator, appendParallelSafeAction, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doFirst, doLast, doLast, doLast, execute, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExecuter, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTaskIdentity, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, hasTaskActions, injectIntoNewInstance, isEnabled, isHasCustomActions, leftShift, mustRunAfter, onlyIf, onlyIf, prependParallelSafeAction, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TestReport

          public TestReport()

  - ### Method Detail

    - #### getBuildOperationExecutor

          @Inject
          protected org.gradle.internal.operations.BuildOperationExecutor getBuildOperationExecutor()

    - #### getDestinationDir

          @OutputDirectory
          public File getDestinationDir()

      Returns the directory to write the HTML report to.

    - #### setDestinationDir

          public void setDestinationDir(File destinationDir)

      Sets the directory to write the HTML report to.

    - #### getTestResultDirs

          @InputFiles
           @SkipWhenEmpty
          public FileCollection getTestResultDirs()

      Returns the set of binary test results to include in the report.

    - #### setTestResultDirs

          public void setTestResultDirs(Iterable<File> testResultDirs)

      Sets the binary test results to use to include in the report. Each entry must point to a binary test results directory generated by a `Test` task.

    - #### reportOn

          public void reportOn(Object... results)

      Adds some results to include in the report.

      This method accepts any parameter of the given types:

      - A `Test` task instance. The results from the test task are included in the report. The test task is automatically added as a dependency of this task.
      - Anything that can be converted to a set of `File` instances as per `Project.files(Object...)`. These must point to the binary test results directory generated by a `Test` task instance.
      - An `Iterable`. The contents of the iterable are converted recursively.
      Parameters:
        `results` - The result objects.